package com.zhilian.business.remote.factory;

import com.zhilian.business.domain.BusinessBreak;
import com.zhilian.business.remote.RemoteBreakService;
import com.zhilian.common.core.domain.Result;
import lombok.extern.slf4j.Slf4j;
import org.springframework.cloud.openfeign.FallbackFactory;
import org.springframework.stereotype.Component;
@Slf4j
@Component
public class RemoteBreakFallbackFactory implements FallbackFactory<RemoteBreakService> {
    @Override
    public RemoteBreakService create(Throwable cause) {
        return new RemoteBreakService() {
            @Override
            public Result add(BusinessBreak businessBreak) {
                log.error("故障日志服务调用失败");
                return Result.error("故障日志服务调用失败");
            }
        };
    }
}
